<template>
    <div>
        <label class="offset-md-2 col-md-2 col-sm-2 col-form-label">{{label}}:&nbsp;</label>
        <div class="col-md-6">
            <input
                type="number"
                class="form-control"
                min="0"
                step="1"
                :name="name"
                :value="field_value"
                @input="$emit('input', $event.target.value)"
                :placeholder="placeholder"
                :readonly="this.$route.path === '/list'"
            />
        </div>
    </div>
</template>

<script>
export default {
    name: "Integer",
    props: ["placeholder", "label", "name", "field_value"]
};
</script>